<bugID>1391166<Summary>Reordering of Bookmarks  via Drag&amp;Drop is incorrect</Summary><Description>@dsmith reported a bug, see http://forums.mozillazine.org/viewtopic.php?p=14761577#p14761577


I'm seeing something strange in bookmarks ordering.

Reproducible: always

Steps to Reproduce:
Given bookmarks (in folder on the bookmarks toolbar):

A
B
C

If I drag A *down* to be above C, 

(Expected Results)
I expect to get: 

B
A
C

(Actual Results)
But instead I get:

B
C
A

However I can drag A back *up* the list and it will work. For example, moving A above C properly gives me:

B
A
C

&#20006;&#12403;&#26367;&#12360;&#12399;&#27491;&#12375;&#12367;&#12394;&#12356;&#32080;&#26524;&#12395;&#12394;&#12427;

Regression window:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=0da00124af43d44fed96133300ba5e32b0d821a8&amp;tochange=0a4690dfd7b383e2f732210cf8906ce51a5b2433

Regressed by:0a4690dfd7b3	Mark Banner &#8212; Bug 1071513 - Enable async PlacesTransactions for nightly builds. r=mak</Description></bugID>